## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XMLSupportException Class Reference

`#include <XMLSupportException.hpp>`

Inheritance diagram for XMLSupportException:

[legend]
Collaboration diagram for XMLSupportException:

[legend]
List of all members.

## Public Methods

- XMLSupportException (const XalanDOMString &message, MemoryManagerType &theManager)
    Construct an XML Support exception object. More...
- virtual ~XMLSupportException ()

## Constructor & Destructor Documentation

XMLSupportException::XMLSupportException ( | const XalanDOMString & message,
| MemoryManagerType & theManager )`[explicit]`

Construct an XML Support exception object.

Parameters:

  theMessage | message to print when exception thrown

XMLSupportException::~XMLSupportException ( | )`[virtual]`

The documentation for this class was generated from the following file:

- XMLSupportException.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.